For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
        • GETGet 301 redirects
        • POSTCreate a 301 redirect
        • PATCHUpdate 301 redirect
        • DELDelete 301 redirects
LogoLogo
Resources
Get started
EnterpriseSite Configuration301 Redirects

Get 301 redirects

GET
https://api.webflow.com/v2/sites/:site_id/redirects
GET
/v2/sites/:site_id/redirects
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/redirects \
> -H "Authorization: Bearer <token>"
1{
2 "redirects": [
3 {
4 "id": "42e1a2b7aa1a13f768a0042a",
5 "fromUrl": "/mostly-harmless",
6 "toUrl": "/earth"
7 },
8 {
9 "id": "6x9e7f8d9a4b1c2d3e4f5678",
10 "fromUrl": "/babel-fish",
11 "toUrl": "/translate"
12 }
13 ],
14 "pagination": {
15 "limit": 100,
16 "offset": 0,
17 "total": 2
18 }
19}
Fetch a list of all 301 redirect rules configured for a specific site. Use this endpoint to review, audit, or manage the redirection rules that control how traffic is rerouted on your site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `sites:read`
Was this page helpful?
Previous

Create a 301 redirect

Next
Built with

Fetch a list of all 301 redirect rules configured for a specific site.

Use this endpoint to review, audit, or manage the redirection rules that control how traffic is rerouted on your site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: sites:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
redirectslist of objects
List of redirects for a given site
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error